<!DOCTYPE html>
<html lang="ru"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Изменить режиссера / актера</title>
</head>
<body>
<div layout:fragment="content">
    <h3 class="mt-3 mb-3" th:text="'Обновить режиссера / актера ' + ${director.getDirectorsFio()}"></h3>
    <form class="needs-validation" novalidate style="max-width: 50vw" method="POST" th:action="@{/directors/update}" th:object="${directorForm}">
        <input type="hidden" name="id"
               th:value="${director.getId()}">
        <div class="mt-3 row g-2">
            <div class="col-md">
                <div class="form-floating">
                    <!--Название поля инпута должно строго соответствовать названию поля класса (DTO)-->
                    <input name="directorsFio" th:value="${director.getDirectorsFio()}" type="text" class="form-control" id="directorsFio" placeholder="ФИО режиссера / актера" required>
                    <label for="directorsFio">ФИО режиссера / актера</label>
                    <div class="invalid-feedback">Обязательное поле для заполнения</div>
                </div>
            </div>
        </div>
        <div class="mt-3 row g-2">
<!--            <div class="col-md">-->
<!--                <div class="form-floating">-->
<!--                    <input name="birthDate" th:value="${director.getBirthDate()}" type="date" class="form-control" id="date" placeholder="Дата рождения" required>-->
<!--                    <label for="date">Дата рождения</label>-->
<!--                    <div class="invalid-feedback">Обязательное поле для заполнения</div>-->
<!--                </div>-->
<!--            </div>-->
            <div class="col-md">
                <div class="form-floating">
                    <select class="form-select" name="position" id="position" required th:object="${director}" th:field="*{position}">
                        <option th:value="default">Выберете должность из списка</option>
                        <option th:selected="${director.getPosition().getPositionTextDisplay()}"
                                th:each="position : ${T(com.sber.java15.spring.springprojectvideorental_3.library.model.Position).values()}"
                                th:value="${position}" th:text="${position.getPositionTextDisplay()}"></option>
                    </select>
                    <label for="position">Должность</label>
                    <div class="invalid-feedback">Обязательное поле для заполнения</div>
                </div>
            </div>
        </div>
        <div class="mt-3 row g-2">
            <button type="submit" class="btn btn-primary" onclick="validateForm()">Обновить</button>
            <button type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>
        </div>
    </form>
</div>
</body>
</html>